%define version 0.8.0
%define release %mkrel 8

Summary:	An othello chess game
Name:		sirius
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Games/Boards
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://sirius.bitvis.nu/

Source:		%{name}-%{version}.tar.bz2
Patch0:		sirius-0.8.0-fix-desktop-file.patch

BuildRequires:	libgnomeui2-devel
BuildRequires:	imagemagick

%description
Sirius is a program for playing the game of othello. The program
includes an AI (Artificial Intelligence) opponent which plays at
a very challenging level and is actually quite hard to beat.
The AI opponent's strength can therefore be adjusted in several
ways to give you a suitable opponent.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%install
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}
%makeinstall_std

# icons
mkdir -p %{buildroot}%{_iconsdir} \
	 %{buildroot}%{_liconsdir} \
	 %{buildroot}%{_miconsdir}
convert -geometry 48x48 pixmaps/sirius.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/sirius.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/sirius.png %{buildroot}%{_miconsdir}/%{name}.png

%{find_lang} %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Wed May 13 2009 Samuel Verschelde <stormi@mandriva.org> 0.8.0-8mdv2010.0
+ Revision: 375495
- fix desktop file (fix #49447)
- fix Licence

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.0-7mdv2009.0
+ Revision: 242690
- rebuild
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat May 26 2007 Funda Wang <fundawang@mandriva.org> 0.8.0-5mdv2008.0
+ Revision: 31398
- Build for new era
- Import sirius



* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-4mdk 
- Rebuild with latest howl

* Thu Dec 02 2004 Abel Cheung <deaddog@deaddog.org> 0.8.0-3mdk
- rebuild

* Sat Sep  6 2003 Abel Cheung <deaddog@deaddog.org> 0.8.0-2mdk
- Fix broken Summary and meny entry

* Fri Aug 29 2003 Abel Cheung <maddog@linux.org.hk> 0.8.0-1mdk
- First Mandrake spec
